<?php
if(!$this->geo_city) {
    $modelCities = new Model_Cities();
    $geo_city = $modelCities->getByGeoIp();
}else{
    $geo_city = $this->view->geo_city;
}

$new_escorts_array = array('newest', 'newest-independent', 'newest-agency-escorts');
$boys_escorts_array = array('boys', 'boys-heterosexual', 'boys-bisexual', 'boys-homosexual', 'massage-boys', 'bdsm-boys');
$all_escorts_array = array('independent-escorts', 'agency-escorts');
$all_agencies_array = array('bdsm-agencies', 'massage-agencies', 'agencies');
$navigationParams = array(
    'phone' => $this->s_phone,
    'age_from' => $this->s_age_from,
    'age_to' => $this->s_age_to,
    'orientation' => $this->s_orientation,
    'k' => $this->s_keywords,
    'height_from' => $this->s_height_from,
    'height_to' => $this->s_height_to,
    'weight_from' => $this->s_weight_from,
    'weight_to' => $this->s_weight_to,
    'tatoo' => $this->s_tatoo,
    'piercing' => $this->s_piercing,
    'e' => $this->s_ethnicity,
    'l' => $this->s_language,
    'n' => $this->s_nationality,
    'hc' => $this->s_hair_color,
    'hl' => $this->s_hair_length,
    'cs' => $this->s_cup_size,
    'ec' => $this->s_eye_color,
    'ph' => $this->s_pubic_hair,
    's_currency' => $this->s_currency,
    'price_from' => $this->s_price_from,
    'price_to' => $this->s_price_to,
    'incall_outcall' => $this->s_incall_outcall,
    'sf' => $this->s_sex_availability,
    'se' => $this->s_service,
    'in' => $this->s_incall,
    'ihr' => $this->s_incall_hotel_room,
    'out' => $this->s_outcall,
    'tp' => $this->s_travel_place,
    's_real_pics' => $this->s_real_pics,
    's_verified_contact' => $this->s_verified_contact,
    's_with_video' => $this->s_with_video,
    's_pornstar' => $this->s_pornstar,
    's_available_for_travel' => $this->s_available_for_travel,
    's_is_online_now' => $this->s_is_online_now,
    's_natural_photo' => $this->s_natural_photo,
);

$m_st = new Model_Statistics();
$escorts_count = $m_st->active_escorts_count();

function setupNewestCategorySeparator(&$escort) {
    $labels = [1 => __('added_in_last_24h'), 7 => __('added_this_week'), 720 => __('added_this_month')]; // How many days before was she added
    $t = !empty($escort->date_activated) ? $escort->date_activated : $escort->date_registered;
    $foundRange = null;

    foreach ($labels as $k => $v) {
        if ($t <= time() - ($k * 60 * 60 * 24)) continue;

        $foundRange = $k;
        break;
    }

    $html = '';

    if(isset($labels[$foundRange])) {
        $html .= "<section class='category-separator-block'>";
        $html .= "<p>" . $labels[$foundRange] . "</p>";
        $html .= "</section>";
    }

    return $html;
}
?>

<?
$l = [$this->filtered_location['city_title'], $this->filtered_location['country_title']];
$l = array_filter($l);
if(count($l) <= 0) {
    switch($this->p_top_category) {
        case 'citytours':
            $foundEscortsTranslation = __('found_tours_count_top_worldwide', ['count' => $this->found_escorts_count]);
            break;
        case 'newest':
        case 'newest-independent':
        case 'newest-agency-escorts':
            $foundEscortsTranslation = __('found_newest_count_top_worldwide', ['count' => $this->found_escorts_count]);
            break;
        default:
            echo __('found_escorts_count_top_worldwide', ['count' => $this->found_escorts_count]);
    }
} else {
    switch($this->p_top_category) {
        case 'citytours':
            $foundEscortsTranslation = __('found_tours_count_top', ['count' => $this->found_escorts_count, 'location' => implode(', ', $l)]) ;
            break;
        case 'newest':
        case 'newest-independent':
        case 'newest-agency-escorts':
            $foundEscortsTranslation = __('found_newest_count_top', ['count' => $this->found_escorts_count, 'location' => implode(', ', $l)]);
            break;
        default:
            $foundEscortsTranslation = __('found_escorts_count_top', ['count' => $this->found_escorts_count, 'location' => implode(', ', $l)]) ;
    }
}
?>

<input type="hidden" id="availableCheckboxes" value='<?= json_encode($this->filterBoxes, JSON_HEX_QUOT | JSON_HEX_TAG) ?>'>

<div class="inner-section stucture-bar pb-0 desktop">
    <? if ( isset($geo_city['city_title']) && strlen($geo_city['city_title']) && isset($geo_city['country_title']) && strlen($geo_city['country_title']) ): ?>
        <?= __('we_see_your_location') ?><strong><?= $geo_city['city_title'] ?>, <?= $geo_city['country_title'] ?>.</strong>
    <? endif; ?>
</div>

<div class="inner-section stucture-bar p-2 mobile">

    <? if ( isset($geo_city['city_title']) && strlen($geo_city['city_title']) && isset($geo_city['country_title']) && strlen($geo_city['country_title']) ): ?>
        <?= __('we_see_your_location') ?><strong><?= $geo_city['city_title'] ?>, <?= $geo_city['country_title'] ?>.</strong>
    <? endif; ?>

    <div class="total-results mobile">
        <?= $foundEscortsTranslation ?>
    </div>

</div>

<div class="inner-section pt-0 stucture-bar d-flex flex-row justify-content-between align-items-center">

    <div class="sort-structure d-flex flex-row justify-content-between align-items-center">
        <div class="total-results desktop">
            <?= $foundEscortsTranslation ?>
        </div>

        <? if(!$this->hideOrdering): ?>
        <select id="ordering-native-select" class="sortbox-native mobile" name="sort">
            <? foreach ($this->sort_map as $key => $map): ?>
                <option value="<?= $key ?>"
                    <?= $this->current_sort == $key ? 'selected' : '' ?>
                ><?= __($key) ?></option>
            <? endforeach; ?>
        </select>
        <? endif ?>

    </div>
    <div class="view-structure d-flex flex-row justify-content-between align-items-center desktop">
        <? if(!$this->hideOrdering): ?>
            <div class="d-flex dropdown-selection sort3 desktop">
                <div class="dropdown">
                    <a class="dropdown-toggle" id="sort-by" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <span class="dropdown-toggle-val"><?= __($this->current_sort) ?></span>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey advanced-search-trigger" data-type="sort-by">
                        <? foreach ($this->sort_map as $key => $map): ?>
                            <li <?= $this->current_sort == $key ? ' style="display:none"' : '' ?>>
                                <a href="javascript:void(0)" data-pjax="1">
                                    <label>
                                        <?= ucfirst(__($key)) ?>
                                        <input type="radio" data-target="sort" name="sort" value="<?= $key ?>"
                                               class="hidden"<? if ($this->current_sort == $key): ?> checked<? endif; ?>>
                                    </label>
                                </a>
                            </li>
                        <? endforeach; ?>
                    </ul>
                </div>
            </div>
        <? endif; ?>

        <a class="view-buttons<?= $this->render_list_type == 'gallery' ? ' active' : '' ?>" data-type="view-squares"><i
                    class="fas fa-th-large"></i></a>
        <a class="view-buttons<?= $this->render_list_type == 'list' ? ' active' : '' ?>" data-type="view-list"><i
                    class="fas fa-list"></i></a>
    </div>
</div>

<? $labelsSet = []; ?>
<div class="escorts <?= $this->p_top_category ?>">
    <div class="escorts-container inner-section no-padding-mobile">
        <div class="escorts-list flex-row flex-fill flex-wrap justify-content-between justify-content-md-around justify-content-lg-start
            <?=  (!Zend_Registry::get('isMobile') && $this->render_list_type == 'list')  ? ' view-list' : ' d-flex view-squares' ?> ">
            <? $index = 0; ?>
            <? if ( count($this->escorts) > 0 ): ?>
                <? if ( isset($this->escorts['vips']) && count($this->escorts['vips']) ): ?>

                    <? foreach ($this->escorts['vips'] as $v => $vip_escort): ?>
                        <?
                            if(in_array($this->p_top_category, ['newest', 'newest-independent', 'newest-agency-escorts'])) {
                                $tmpLbl = setupNewestCategorySeparator($vip_escort);
                                if (!in_array($tmpLbl, $labelsSet)) {
                                    echo $tmpLbl;
                                    $labelsSet[] = $tmpLbl;
                                }
                            }
                        ?>
                        <? $index++; ?>
                        <? if ( ! $vip_escort instanceof Model_EscortV2Item ): ?>
                            <?
                            if(is_string($vip_escort) && $vip_escort == 'vip-banner' ){
                                echo $this->render('escorts/list-fill-vip-premium.phtml');
                                continue;
                            }

                            $this->escort = new Model_EscortV2Item($vip_escort);
                            $this->filtered_phone = ( $this->escort->phone_country_id && ! $this->escort->disable_phone_prefix ) ? '+' . Model_Countries::getPhonePrefixById($this->escort->phone_country_id) . $this->escort->phone_number : $this->escort->phone_number;
                            ?>
                        <? endif; ?>

                        <?= $this->render('escorts/list-sedcard.phtml') ?>

                        <?
                        // Sett up IXS BANNERS
                        // For Desktop
                        // ----------------------------------------

                        if(!Zend_Registry::get('isMobile') && $index%9 == 0) {
                            echo '<section class="category-separator-block d-flex">';
                            for($i = 0; $i < 3; $i++)
                                echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'desktop']) ;
                            echo '</section>';
                        }
                        // For Mobile
                        // ----------------------------------------
                        if(Zend_Registry::get('isMobile') && $index%6 == 0) {
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'mobile']);
                        }
                        // ----------------------------------------
                        ?>

                    <? endforeach; ?>

                <? endif; ?>
                <? unset($this->escorts['vips']); ?>

                <? if ( $this->escorts['premiums'] ): ?>
                    <?
                    $per_row = 4;
                    $rows = ceil(count($this->escorts['premiums']) / $per_row);
                    $fill_thumbs = $rows * $per_row;
                    $fill_thumbs = $fill_thumbs - count($this->escorts['premiums']);
                    ?>

                    <? foreach($this->escorts['premiums'] as $k => $premium_escort): ?>
                        <?
                            if(in_array($this->p_top_category, ['newest', 'newest-independent', 'newest-agency-escorts'])) {
                                $tmpLbl = setupNewestCategorySeparator($premium_escort);
                                if (!in_array($tmpLbl, $labelsSet)) {
                                    echo $tmpLbl;
                                    $labelsSet[] = $tmpLbl;
                                }
                            }
                        ?>
                        <? $index++; ?>
                        <? if ( ! $premium_escort instanceof Model_EscortV2Item ): ?>
                            <?
                            if(is_string($premium_escort) && $premium_escort == 'vip-banner' ){
                                echo $this->render('escorts/list-fill-vip-premium.phtml');
                                continue;
                            }
                            $this->escort = new Model_EscortV2Item($premium_escort);

                            $this->filtered_phone = ( $this->escort->phone_country_id && ! $this->escort->disable_phone_prefix ) ? '+' . Model_Countries::getPhonePrefixById($this->escort->phone_country_id) . $this->escort->phone_number : $this->escort->phone_number;
                            ?>
                        <? endif; ?>

                        <?= $this->render('escorts/list-sedcard.phtml') ?>

                        <?
                        // Sett up IXS BANNERS
                        // For Desktop
                        // ----------------------------------------
                        if(!Zend_Registry::get('isMobile') && $index%9 == 0) {
                            echo '<section class="category-separator-block d-flex">';
                            for($i = 0; $i < 3; $i++)
                                echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'desktop']) ;
                            echo '</section>';
                        }
                        // For Mobile
                        // ----------------------------------------
                        if(Zend_Registry::get('isMobile') && $index%6 == 0) {
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'mobile']);
                        }
                        // ----------------------------------------

                        ?>

                    <? endforeach; ?>
                <? endif; ?>
                <? unset($this->escorts['premiums']); ?>

                <?
                $h = 1;
                $l = 16;
                ?>

                <? foreach ( $this->escorts as $esc_k => $escort ): ?>
                    <?
                    if(in_array($this->p_top_category, ['newest', 'newest-independent', 'newest-agency-escorts'])) {
                        $tmpLbl = setupNewestCategorySeparator($escort);
                        if (!in_array($tmpLbl, $labelsSet)) {
                            echo $tmpLbl;
                            $labelsSet[] = $tmpLbl;
                        }
                    }
                    ?>

                    <? $index++; ?>
                    <?
                    if ($h == 1) $r = rand(1, 4);

                    if(is_string($escort) && $escort == 'vip-banner' ){
                        echo $this->render('escorts/list-fill-vip-premium.phtml');
                        continue;
                    }

                    ?>

                    <? if ( ! $escort instanceof Model_EscortV2Item ): ?>
                        <?
                        $this->escort = new Model_EscortV2Item($escort);
                        $this->filtered_phone = ( $this->escort->phone_country_id && ! $this->escort->disable_phone_prefix ) ? '+' . Model_Countries::getPhonePrefixById($this->escort->phone_country_id) . $this->escort->phone_number : $this->escort->phone_number;
                        ?>
                    <? endif; ?>

                    <? if ($h == $r): ?>
                        <?= $this->render('escorts/list-adv.phtml') ?>
                        <? $h++;?>
                    <? endif; ?>

                    <?= $this->render('escorts/list-sedcard.phtml') ?>

                    <?
                    // Sett up IXS BANNERS
                    // For Desktop
                    // ----------------------------------------
                    if(!Zend_Registry::get('isMobile') && $index%9 == 0) {
                        echo '<section class="category-separator-block d-flex">';
                        for($i = 0; $i < 3; $i++)
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'desktop']) ;
                        echo '</section>';
                    }
                    // For Mobile
                    // ----------------------------------------
                    if(Zend_Registry::get('isMobile') && $index%6 == 0) {
                        echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'mobile']);
                    }
                    // ----------------------------------------

                    ?>

                    <?
                    $h++;
                    if ($h > $l) $h = 1;
                    ?>
                <? endforeach ?>
                <?
                // At the end, maybe there was less than 6 (for mobile) or 8 (for desktop) escorts
                // in this case we just need to set all banners, one after the other
                // IMPORTANT: There must be at least one escort to do this !!!
                // For Desktop
                // ---------------------------------------
                if(!Zend_Registry::get('isMobile')) {
                    if($index < 9) {
                        echo '<section class="category-separator-block d-flex">';
                        for ($i = 0; $i < ceil( 3 - $index / 9 ); $i++) {
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'desktop']) ;
                        }
                        echo '</section>';
                    }
                }
                // For Mobile
                // ----------------------------------------
                if(Zend_Registry::get('isMobile')) {
                    if($index < 18) {
                        for ($i = 0; $i < ceil( 3 - $index / 6 ); $i++)
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'mobile']);
                    }
                }
                // ----------------------------------------
                ?>

            <? else: ?>
                <div class="no-results">
                    <?= __('no_results_found') ?>
                </div>
            <? endif; ?>



        </div>
    </div>
</div>


<div class="inner-section">
    <div class="clear mb-40"></div>
    <div class="pagination-container desktop d-flex justify-content-sm-center justify-content-md-between align-items-center">
        <? $pages_count = ceil($this->pagination_count / $this->per_page); ?>
        <?
        $paginationParams = array('top_category' => $this->p_top_category, 'city_slug' => $this->p_city_slug, 'city_id' => $this->p_city_id, 'country_slug' => $this->p_country_slug, 'country_id' => $this->p_country_id, 'show_escorts' => true,);
        $paginationParams = array_merge($paginationParams, $navigationParams);
        ?>
        <? if ($pages_count > 1): ?>
            <div class="pagination d-flex align-items-center">
                <? $pages = $this->paging($this->pagination_count, $this->page, $this->per_page, 6, 2); ?>
                <? if (1 < $this->page): ?>
                    <a href="<?= $this->getLink('navigation-link', array_merge($paginationParams, array( 'page' => $this->page - 1))) ?>"
                       class="last page-number grey" data-page="<?= $this->page - 1 ?>" data-pjax="1"> <i class="fas fa-chevron-left"></i> </a>
                <? endif; ?>

                <? foreach ($pages as $page): ?>
                    <? if ($this->page == $page): ?>
                        <a href="#" class="page-number grey active"><?= $page ?></a>
                    <? else: ?>
                        <a href="<?= $this->getLink('navigation-link',array_merge($paginationParams, array( 'page' => $page))) ?>"
                           class="page-number grey" data-page="<?= $page ?>" data-pjax="1"><?= $page ?></a>
                    <? endif; ?>
                <? endforeach; ?>

            </div>

            <? if ($pages_count > $this->page): ?>
                <a href="<?= $this->getLink('navigation-link',array_merge($paginationParams, array( 'page' => $this->page + 1))) ?>"
                   class="next page-number grey btn btn-brown uppercase" data-page="<?= $this->page + 1 ?>" data-pjax="1"><?= __('next_page') ?></a>
            <? endif; ?>

        <? else: ?>
            <div class="no-paging"></div>
        <? endif; ?>

        <div class="total-profiles uppercase">
            <?= __('escorts_worldwide', ['count' => $escorts_count]) ?>
        </div>
    </div>
</div>

<!--Seo Text-->
    <? if ( in_array($this->p_top_category, $new_escorts_array) ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_new').' </h1>' ?>
    <? elseif ( $this->p_top_category == 'bdsm' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_bdsm') .'</h1>'?>
    <? elseif ( in_array($this->p_top_category, $boys_escorts_array) ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_male') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'trans' || $this->p_top_category == 'bdsm-trans' || $this->p_top_category == 'massage-trans' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_trans') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'citytours' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_escorts_on_tour') . '</h1>' ?>
    <? elseif ( $this->p_top_category == 'upcomingtours' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between">'. __('top_title_type_upcomingtours') .'</h1>'?>
    <? elseif ( in_array($this->p_top_category, $all_escorts_array) ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_female') .'</h1>'?>
    <? elseif ( in_array($this->p_top_category, $all_agencies_array) ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('agency') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'massage' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_massage') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'beauty-10' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_beauty') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'luxury-goods-9' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_luxury_goods') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'events-8' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_events') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'man-stuff-7' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_man_stuff') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'about-escorting-6' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_about_escorting') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'health-5' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_health') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'sex-4' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_sex') .'</h1>' ?>
    <? endif; ?>
    <? if($html): ?>
        <div class="inner-section desktop stucture-bar justify-content-between align-items-center listing-category-description">
            <?= $html ?>
        </div>
    <? endif; ?>
<!--/-->